[R001]Query and export enterprise report
This interface provides enterprise report downloading (query and export reports according to the job_id returned in the Generate Enterprise Report Task)
1、The download link of the enterprise report is valid for 7 days. (Please export it in time, and it will be invalid when it expires)
2、You can only query the download status of one export task at a time
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 1579434053399035904 | job_id |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
job_id | string | 1579434053399036000 | export job id |
queue_num | integer<int32> | 10 | Number of jobs in the queue |
job_status | integer<int32> | 1 | Export status (0:To be exported 1:Exporting. 2:Exporting successfully. 3:Report generation fails.) |
download_url | string | https://open.zhihuiya.com/tffi-export/20241126074833/9cf648f8-8283-4767-9a14-f90f68303f3e/CN108977442B_2024_11_26.docx?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDV4ZwCNYgUAwepmojSxCD0c6PXN8mDiBS%26q-sign-time%3D1732607317%3B1733212117%26q-key-time%3D1732607317%3B1733212117%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-content-disposition%26q-signature%3D878962504778cd5fc1228f9dcb76cc735c4dc2c7&response-content-disposition=attachment%3Bfilename%2A%3DUTF-8%27%27CN108977442B_2024_11_26.docx | File download link (return if export status is successful) |
abnormal_cause | string | 由于服务器异常,正在修复中 | Causes of Exceptions |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"job_id": 1579434053399036000,
"queue_num": 10,
"job_status": 1,
"download_url": "https://open.zhihuiya.com/tffi-export/20241126074833/9cf648f8-8283-4767-9a14-f90f68303f3e/CN108977442B_2024_11_26.docx?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDV4ZwCNYgUAwepmojSxCD0c6PXN8mDiBS%26q-sign-time%3D1732607317%3B1733212117%26q-key-time%3D1732607317%3B1733212117%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-content-disposition%26q-signature%3D878962504778cd5fc1228f9dcb76cc735c4dc2c7&response-content-disposition=attachment%3Bfilename%2A%3DUTF-8%27%27CN108977442B_2024_11_26.docx",
"abnormal_cause": "由于服务器异常,正在修复中"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
68300013 | Report does not exist |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms